BufferUtil (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.io

## Class BufferUtil

- java.lang.Object
- - org.eclipse.jetty.io.BufferUtil

-     public class BufferUtil
      extends Object

  Buffer utility methods.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BufferUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isPrefix(Buffer prefix, Buffer buffer)`
    `static void` | `prependHexInt(Buffer buffer, int n)` Add hex integer BEFORE current getIndex.
    `static void` | `putCRLF(Buffer buffer)`
    `static void` | `putDecInt(Buffer buffer, int n)`
    `static void` | `putDecLong(Buffer buffer, long n)`
    `static void` | `putHexInt(Buffer buffer, int n)`
    `static String` | `to8859_1_String(Buffer buffer)`
    `static Buffer` | `toBuffer(long value)`
    `static int` | `toInt(Buffer buffer)` Convert buffer to an integer.
    `static long` | `toLong(Buffer buffer)` Convert buffer to an long.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BufferUtil

          public BufferUtil()

  - ### Method Detail

    - #### toInt

          public static int toInt(Buffer buffer)

      Convert buffer to an integer. Parses up to the first non-numeric character. If no number is found an IllegalArgumentException is thrown
      Parameters:
        `buffer` - A buffer containing an integer. The position is not changed.
      Returns:
        an int

    - #### toLong

          public static long toLong(Buffer buffer)

      Convert buffer to an long. Parses up to the first non-numeric character. If no number is found an IllegalArgumentException is thrown
      Parameters:
        `buffer` - A buffer containing an integer. The position is not changed.
      Returns:
        an int

    - #### putHexInt

          public static void putHexInt(Buffer buffer,
                       int n)

    - #### prependHexInt

          public static void prependHexInt(Buffer buffer,
                           int n)

      Add hex integer BEFORE current getIndex.
      Parameters:
        `buffer` -
        `n` -

    - #### putDecInt

          public static void putDecInt(Buffer buffer,
                       int n)

    - #### putDecLong

          public static void putDecLong(Buffer buffer,
                        long n)

    - #### toBuffer

          public static Buffer toBuffer(long value)

    - #### putCRLF

          public static void putCRLF(Buffer buffer)

    - #### isPrefix

          public static boolean isPrefix(Buffer prefix,
                         Buffer buffer)

    - #### to8859_1_String

          public static String to8859_1_String(Buffer buffer)

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.